Avro C++

Public Member Functions | List of all members
avro::ReaderImpl< ValidatorType > Class Template Reference

Parses from an avro encoding to the requested type. More...

`#include <Reader.hh>`

Inheritance diagram for avro::ReaderImpl< ValidatorType >:

## Public Member Functions
| ReaderImpl (const InputBuffer &buffer)
| ReaderImpl (const ValidSchema &schema, const InputBuffer &buffer)
void | readValue (Null &)
void | readValue (bool &val)
void | readValue (int32_t &val)
void | readValue (int64_t &val)
void | readValue (float &val)
void | readValue (double &val)
void | readValue (std::string &val)
void | readBytes (std::vector< uint8_t > &val)
void | readFixed (uint8_t *val, size_t size)
template<size_t N>
void | readFixed (uint8_t(&val)[N])
template<size_t N>
void | readFixed (std::array< uint8_t, N > &val)
void | readRecord ()
void | readRecordEnd ()
int64_t | readArrayBlockSize ()
int64_t | readUnion ()
int64_t | readEnum ()
int64_t | readMapBlockSize ()
Type | nextType () const
bool | currentRecordName (std::string &name) const
bool | nextFieldName (std::string &name) const

## Detailed Description

### template<class ValidatorType>
class avro::ReaderImpl< ValidatorType >

Parses from an avro encoding to the requested type.

Assumes the next item in the avro binary data is the expected type.

The documentation for this class was generated from the following file:

- api/Reader.hh